Index: fedd/Makefile
===================================================================
--- fedd/Makefile	(revision f4cc4b72d349fe622e4fd843f4aed21a4d9c6314)
+++ fedd/Makefile	(revision 5858c729cce3abbf3190e80694012fb04563fda2)
@@ -5,7 +5,5 @@
 		${MODULE_DIR}/fedd_internal_services.py \
 		${MODULE_DIR}/fedd_services_types.py
-WSDL_FILES= wsdl/fedd.wsdl wsdl/fedd_bindings.wsdl wsdl/fedd_messages.wsdl \
-	    wsdl/fedd_types.xsd wsdl/fedd_internal.wsdl \
-	    wsdl/fedd_internal_bindings.wsdl wsdl/fedd_internal_messages.wsdl 
+WSDL_FILES= wsdl/fedd.wsdl wsdl/fedd_types.xsd wsdl/fedd_internal.wsdl
 
 VERSION=1.0
Index: fedd/wsdl/fedd.wsdl
===================================================================
--- fedd/wsdl/fedd.wsdl	(revision f4cc4b72d349fe622e4fd843f4aed21a4d9c6314)
+++ fedd/wsdl/fedd.wsdl	(revision 5858c729cce3abbf3190e80694012fb04563fda2)
@@ -2,18 +2,314 @@
 <definitions name="fedd"
   targetNamespace="http://www.isi.edu/faber/fedd.wsdl"
-  xmlns:tns="http://www.isi.edu/faber/fedd_messages"
-  xmlns:bns="http://www.isi.edu/faber/fedd_bindings"
+  xmlns:tns="http://www.isi.edu/faber/fedd.wsdl"
   xmlns:xsd1="http://www.isi.edu/faber/fedd_types"
   xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
   xmlns="http://schemas.xmlsoap.org/wsdl/">
-  
-  <import namespace="http://www.isi.edu/faber/fedd_types" 
-    location="fedd_types.xsd"/>
-
-  <import namespace="http://www.isi.edu/faber/fedd_messages" 
-    location="fedd_messages.wsdl"/>
-
-  <import namespace="http://www.isi.edu/faber/fedd_bindings" 
-    location="fedd_bindings.wsdl"/>
+
+   <import namespace="http://www.isi.edu/faber/fedd_types" 
+         location="fedd_types.xsd"/>
+  <!--
+  The message definitions are all simple embeddings of one of the types
+  from fedd_types.xsd 
+  -->
+  <message name="RequestAccessRequestMessage">
+    <part name="RequestAccessRequestBody" type="xsd1:requestType"/>
+  </message>
+
+  <message name="RequestAccessResponseMessage">
+    <part name="RequestAccessResponseBody" type="xsd1:responseType"/>
+  </message>
+
+  <message name="ReleaseAccessRequestMessage">
+    <part name="ReleaseAccessRequestBody" type="xsd1:releaseRequestType"/>
+  </message>
+
+  <message name="ReleaseAccessResponseMessage">
+    <part name="ReleaseAccessResponseBody" type="xsd1:releaseResponseType"/>
+  </message>
+  <message name="CreateRequestMessage">
+    <part name="CreateRequestBody" type="xsd1:createRequestType"/>
+  </message>
+
+  <message name="CreateResponseMessage">
+    <part name="CreateResponseBody" type="xsd1:createResponseType"/>
+  </message>
+
+  <message name="VtopoRequestMessage">
+    <part name="VtopoRequestBody" type="xsd1:vtopoRequestType"/>
+  </message>
+
+  <message name="VtopoResponseMessage">
+    <part name="VtopoResponseBody" type="xsd1:vtopoResponseType"/>
+  </message>
+
+  <message name="VisRequestMessage">
+    <part name="VisRequestBody" type="xsd1:visRequestType"/>
+  </message>
+
+  <message name="VisResponseMessage">
+    <part name="VisResponseBody" type="xsd1:visResponseType"/>
+  </message>
+
+  <message name="InfoRequestMessage">
+    <part name="InfoRequestBody" type="xsd1:infoRequestType"/>
+  </message>
+
+  <message name="InfoResponseMessage">
+    <part name="InfoResponseBody" type="xsd1:infoResponseType"/>
+  </message>
+
+
+  <message name="TerminateRequestMessage">
+    <part name="TerminateRequestBody" type="xsd1:terminateRequestType"/>
+  </message>
+
+  <message name="TerminateResponseMessage">
+    <part name="TerminateResponseBody" type="xsd1:terminateResponseType"/>
+  </message>
+
+  <message name="FaultMessage">
+    <part name="FaultBody" type="xsd1:faultType"/>
+  </message>
+
+  <portType name="feddPortType">
+    <operation name="RequestAccess">
+      <documentation>
+	Request access to a testbed.  The request includes the various
+	resources needed (loosely), the identity of the requester, access
+	credentials andscheduling information.  A successful response includes
+	enough information for the federation system to access the testbed and
+	actually request resources.
+      </documentation>
+      <input message="tns:RequestAccessRequestMessage"/>
+      <output message="tns:RequestAccessResponseMessage"/>
+      <fault name="RequestAccessFeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="ReleaseAccess">
+      <documentation>
+	Release an allocation of access to a testbed. This informs the testbed
+	that it is no longer necessary to allow the access mthods negotiated by
+	a RequestAccess cal.
+      </documentation>
+      <input message="tns:ReleaseAccessRequestMessage"/>
+      <output message="tns:ReleaseAccessResponseMessage"/>
+      <fault name="ReleaseAccessFeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="Create">
+      <documentation>
+	A request to create a federated experiment from the included
+	description.  Credentials and access information is also provided.  On
+	success a logical description of the experiment is returned as well as
+	the information about federated testbeds needed to access local
+	services.
+      </documentation>
+      <input message="tns:CreateRequestMessage"/>
+      <output message="tns:CreateResponseMessage"/>
+      <fault name="CreateFeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="Vtopo">
+      <documentation>
+	A request for the virtual topology of the experiment.  Requesters with
+	different access rights may receive different information.
+      </documentation>
+      <input message="tns:VtopoRequestMessage"/>
+      <output message="tns:VtopoResponseMessage"/>
+      <fault name="VtopoFeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="Vis">
+      <documentation>
+	A request for the visualization of the experiment.  This is really a
+	legacy interface for visual tools that cannot generate their own
+	visualization.  Requesters with different access rights may receive
+	different information.
+      </documentation>
+      <input message="tns:VisRequestMessage"/>
+      <output message="tns:VisResponseMessage"/>
+      <fault name="VisFeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="Info">
+      <documentation>
+	A one-stop request for meta-data on the experiment.  Includes all the
+	info from a Vtopo and a Vis request.
+      </documentation>
+      <input message="tns:InfoRequestMessage"/>
+      <output message="tns:InfoResponseMessage"/>
+      <fault name="InfoFeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="Terminate">
+      <documentation>
+	Stop this experiment and deallocate its resources.
+      </documentation>
+      <input message="tns:TerminateRequestMessage"/>
+      <output message="tns:TerminateResponseMessage"/>
+      <fault name="TerminateFeddFault" message="tns:FaultMessage"/>
+    </operation>
+  </portType>
+
+  <binding name="feddBinding" type="tns:feddPortType">
+      <documentation>
+	These are really very straight ahead SOAP RPC bindings.  They're 1.1
+	SOAP and not much outside the defaults.  No interesting header packing
+	or fault configuration yet.
+      </documentation>
+    <soap:binding style="rpc" 
+      transport="http://schemas.xmlsoap.org/soap/http"/>
+      <operation name="RequestAccess">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="RequestAccess"/> 
+	<input>
+	  <soap:body use="encoded" parts="tns:RequestAccessRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="encoded" parts="tns:RequestAccessResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="RequestAccessFeddFault">
+	  <soap:fault use="encoded"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="ReleaseAccess">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="ReleaseAccess"/> 
+	<input>
+	  <soap:body use="encoded" parts="tns:ReleaseAccessRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="encoded" parts="tns:ReleaseAccessResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="ReleaseAccessFeddFault">
+	  <soap:fault use="encoded"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="Create">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="Create"/> 
+	<input>
+	  <soap:body use="encoded" parts="tns:CreateRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="encoded" parts="tns:CreateResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="CreateFeddFault">
+	  <soap:fault use="encoded"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="Vtopo">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="Vtopo"/> 
+	<input>
+	  <soap:body use="encoded" parts="tns:VtopoRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="encoded" parts="tns:VtopoResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="VtopoFeddFault">
+	  <soap:fault use="encoded"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+
+      <operation name="Vis">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="Vis"/> 
+	<input>
+	  <soap:body use="encoded" parts="tns:VisRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="encoded" parts="tns:VisResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="VisFeddFault">
+	  <soap:fault use="encoded"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="Info">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="Info"/> 
+	<input>
+	  <soap:body use="encoded" parts="tns:InfoRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="encoded" parts="tns:InfoResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="InfoFeddFault">
+	  <soap:fault use="encoded"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="Terminate">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="Terminate"/> 
+	<input>
+	  <soap:body use="encoded" parts="tns:TerminateRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="encoded" parts="tns:TerminateResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="TerminateFeddFault">
+	  <soap:fault use="encoded"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+    </binding>
+
+    <service name="feddService">
+      <documentation>
+	Fedd resource access service
+      </documentation>
+      <port name="feddPort" binding="tns:feddBinding">
+	<soap:address location="http://www.isi.edu/faber/fedd"/>
+      </port>
+    </service>
 </definitions>
-
Index: fedd/wsdl/fedd_bindings.wsdl
===================================================================
--- fedd/wsdl/fedd_bindings.wsdl	(revision f4cc4b72d349fe622e4fd843f4aed21a4d9c6314)
+++ 	(revision )
@@ -1,176 +1,0 @@
-<?xml version="1.0"?>
-<definitions name="fedd"
-  targetNamespace="http://www.isi.edu/faber/fedd_bindings"
-  xmlns:tns="http://www.isi.edu/faber/fedd_messages"
-  xmlns:bns="http://www.isi.edu/faber/fedd_bindings"
-  xmlns:xsd1="http://www.isi.edu/faber/fedd_types"
-  xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
-  xmlns="http://schemas.xmlsoap.org/wsdl/">
-
-  <binding name="feddBinding" type="tns:feddPortType">
-      <documentation>
-	These are really very straight ahead SOAP RPC bindings.  They're 1.1
-	SOAP and not much outside the defaults.  No interesting header packing
-	or fault configuration yet.
-      </documentation>
-    <soap:binding style="rpc" 
-      transport="http://schemas.xmlsoap.org/soap/http"/>
-      <operation name="RequestAccess">
-	<documentation>
-	  The bindings of this operation are straightforward SOAP RPC 1.1.
-	</documentation>
-	<soap:operation soapAction="RequestAccess"/> 
-	<input>
-	  <soap:body use="encoded" parts="tns:RequestAccessRequestBody"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</input>
-	<output>
-	  <soap:body use="encoded" parts="tns:RequestAccessResponseBody"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</output>
-	<fault>
-	  <soap:fault use="encoded"  name="tns:FeddFault"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</fault>
-      </operation>
-      <operation name="ReleaseAccess">
-	<documentation>
-	  The bindings of this operation are straightforward SOAP RPC 1.1.
-	</documentation>
-	<soap:operation soapAction="ReleaseAccess"/> 
-	<input>
-	  <soap:body use="encoded" parts="tns:ReleaseAccessRequestBody"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</input>
-	<output>
-	  <soap:body use="encoded" parts="tns:ReleaseAccessResponseBody"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</output>
-	<fault>
-	  <soap:fault use="encoded"  name="tns:FeddFault"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</fault>
-      </operation>
-      <operation name="Create">
-	<documentation>
-	  The bindings of this operation are straightforward SOAP RPC 1.1.
-	</documentation>
-	<soap:operation soapAction="Create"/> 
-	<input>
-	  <soap:body use="encoded" parts="tns:CreateRequestBody"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</input>
-	<output>
-	  <soap:body use="encoded" parts="tns:CreateResponseBody"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</output>
-	<fault>
-	  <soap:fault use="encoded"  name="tns:FeddFault"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</fault>
-      </operation>
-      <operation name="Vtopo">
-	<documentation>
-	  The bindings of this operation are straightforward SOAP RPC 1.1.
-	</documentation>
-	<soap:operation soapAction="Vtopo"/> 
-	<input>
-	  <soap:body use="encoded" parts="tns:VtopoRequestBody"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</input>
-	<output>
-	  <soap:body use="encoded" parts="tns:VtopoResponseBody"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</output>
-	<fault>
-	  <soap:fault use="encoded"  name="tns:FeddFault"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</fault>
-      </operation>
-
-      <operation name="Vis">
-	<documentation>
-	  The bindings of this operation are straightforward SOAP RPC 1.1.
-	</documentation>
-	<soap:operation soapAction="Vis"/> 
-	<input>
-	  <soap:body use="encoded" parts="tns:VisRequestBody"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</input>
-	<output>
-	  <soap:body use="encoded" parts="tns:VisResponseBody"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</output>
-	<fault>
-	  <soap:fault use="encoded"  name="tns:FeddFault"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</fault>
-      </operation>
-      <operation name="Info">
-	<documentation>
-	  The bindings of this operation are straightforward SOAP RPC 1.1.
-	</documentation>
-	<soap:operation soapAction="Info"/> 
-	<input>
-	  <soap:body use="encoded" parts="tns:InfoRequestBody"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</input>
-	<output>
-	  <soap:body use="encoded" parts="tns:InfoResponseBody"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</output>
-	<fault>
-	  <soap:fault use="encoded"  name="tns:FeddFault"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</fault>
-      </operation>
-      <operation name="Terminate">
-	<documentation>
-	  The bindings of this operation are straightforward SOAP RPC 1.1.
-	</documentation>
-	<soap:operation soapAction="Terminate"/> 
-	<input>
-	  <soap:body use="encoded" parts="tns:TerminateRequestBody"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</input>
-	<output>
-	  <soap:body use="encoded" parts="tns:TerminateResponseBody"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</output>
-	<fault>
-	  <soap:fault use="encoded"  name="tns:FeddFault"
-	    namespace="http://www.isi.edu/faber/fedd.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</fault>
-      </operation>
-    </binding>
-
-    <service name="feddService">
-      <documentation>
-	Fedd resource access service
-      </documentation>
-      <port name="feddPort" binding="bns:feddBinding">
-	<soap:address location="http://www.isi.edu/faber/fedd"/>
-      </port>
-    </service>
-</definitions>
Index: fedd/wsdl/fedd_internal.wsdl
===================================================================
--- fedd/wsdl/fedd_internal.wsdl	(revision f4cc4b72d349fe622e4fd843f4aed21a4d9c6314)
+++ fedd/wsdl/fedd_internal.wsdl	(revision 5858c729cce3abbf3190e80694012fb04563fda2)
@@ -2,6 +2,5 @@
 <definitions name="fedd_internal"
   targetNamespace="http://www.isi.edu/faber/fedd_internal.wsdl"
-  xmlns:tns="http://www.isi.edu/faber/fedd_messages"
-  xmlns:bns="http://www.isi.edu/faber/fedd_bindings"
+  xmlns:tns="http://www.isi.edu/faber/fedd_internal.wsdl"
   xmlns:xsd1="http://www.isi.edu/faber/fedd_types"
   xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
@@ -11,9 +10,190 @@
     location="fedd_types.xsd"/>
 
-  <import namespace="http://www.isi.edu/faber/fedd_internal_messages" 
-    location="fedd_internal_messages.wsdl"/>
+  <!--
+  The message definitions are all simple embeddings of one of the types
+  from fedd_types.xsd 
+  -->
 
-  <import namespace="http://www.isi.edu/faber/fedd_internal_bindings" 
-    location="fedd_internal_bindings.wsdl"/>
+  <message name="FaultMessage">
+    <part name="FaultBody" type="xsd1:faultType"/>
+  </message>
+
+  <message name="AllocateProjectRequestMessage">
+    <part name="AllocateProjectRequestBody" type="xsd1:projectAllocType"/>
+  </message>
+
+  <message name="AllocateProjectResponseMessage">
+    <part name="AllocateProjectResponseBody" type="xsd1:projectAllocType"/>
+  </message>
+
+  <message name="StaticProjectRequestMessage">
+    <part name="StaticProjectRequestBody" type="xsd1:projectAllocType"/>
+  </message>
+
+  <message name="StaticProjectResponseMessage">
+    <part name="StaticProjectResponseBody" type="xsd1:projectAllocType"/>
+  </message>
+
+  <message name="ReleaseProjectRequestMessage">
+    <part name="ReleaseProjectRequestBody" type="xsd1:projectAllocType"/>
+  </message>
+
+  <message name="ReleaseProjectResponseMessage">
+    <part name="ReleaseProjectResponseBody" type="xsd1:projectAllocType"/>
+  </message>
+
+  <message name="Ns2SplitRequestMessage">
+    <part name="Ns2SplitRequestBody" type="xsd1:ns2SplitRequestType"/>
+  </message>
+
+  <message name="Ns2SplitResponseMessage">
+    <part name="Ns2SplitResponseBody" type="xsd1:ns2SplitResponseType"/>
+  </message>
+
+  <portType name="feddInternalPortType">
+    <operation name="AllocateProject">
+      <documentation>
+	This internal interface allows the part of a fedd running on a machine
+	other than the boss node of the emulab in question to request creation
+	of a dynamic project on the boss node.
+      </documentation>
+      <input message="tns:AllocateProjectRequestMessage"/>
+      <output message="tns:AllocateProjectResponseMessage"/>
+      <fault name="AllocateFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="StaticProject">
+      <documentation>
+	This internal interface allows the part of a fedd running on a machine
+	other than the boss node of the emulab in question to request
+	modification of a static project.  For example keys can be added or
+	node access granted.
+      </documentation>
+      <input message="tns:StaticProjectRequestMessage"/>
+      <output message="tns:StaticProjectResponseMessage"/>
+      <fault name="StaticFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="ReleaseProject">
+      <documentation>
+	This internal interface allows the part of a fedd running on a machine
+	other than the boss node of the emulab in question to release resources
+	allocated to either a static or dynamic project.
+      </documentation>
+      <input message="tns:ReleaseProjectRequestMessage"/>
+      <output message="tns:ReleaseProjectResponseMessage"/>
+      <fault name="ReleaseFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="Ns2Split">
+      <documentation>
+	This allows a fedd that does not have direct access to the modified ns
+	parser that splits a CEDL description into federation data to access
+	that functionality remotely.
+      </documentation>
+      <input message="tns:Ns2SplitRequestMessage"/>
+      <output message="tns:Ns2SplitResponseMessage"/>
+      <fault name="Ns2SplitFault" message="tns:FaultMessage"/>
+    </operation>
+  </portType>
+
+  <binding name="feddInternalBinding" type="tns:feddInternalPortType">
+      <documentation>
+	These are really very straight ahead SOAP RPC bindings.  They're 1.1
+	SOAP and not much outside the defaults.  No interesting header packing
+	or fault configuration yet.
+      </documentation>
+    <soap:binding style="rpc" 
+      transport="http://schemas.xmlsoap.org/soap/http"/>
+      <operation name="AllocateProject">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="AllocateProject"/> 
+	<input>
+	  <soap:body use="encoded" parts="tns:AllocateProjectRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="encoded" parts="tns:AllocateProjectResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="AllocateFault">
+	  <soap:fault use="encoded"  name="tns:AllocateProjectFault"
+	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="StaticProject">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="StaticProject"/> 
+	<input>
+	  <soap:body use="encoded" parts="tns:StaticProjectRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="encoded" parts="tns:StaticProjectResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="StaticFault">
+	  <soap:fault use="encoded"  name="tns:StaticProjectFault"
+	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="ReleaseProject">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="ReleaseProject"/> 
+	<input>
+	  <soap:body use="encoded" parts="tns:ReleaseProjectRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="encoded" parts="tns:ReleaseProjectResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="ReleaseFault">
+	  <soap:fault use="encoded"  name="tns:ReleaseProjectFault"
+	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="Ns2Split">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="Ns2Split"/> 
+	<input>
+	  <soap:body use="encoded" parts="tns:Ns2SplitRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="encoded" parts="tns:Ns2SplitResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="Ns2SplitFault">
+	  <soap:fault use="encoded"  name="tns:Ns2SplitFault"
+	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+    </binding>
+
+    <service name="feddInternalService">
+      <documentation>
+	Fedd resource access service
+      </documentation>
+      <port name="fedd_internal_port" binding="tns:feddInternalBinding">
+	<soap:address location="http://www.isi.edu/faber/fedd_internal"/>
+      </port>
+    </service>
 </definitions>
-
Index: fedd/wsdl/fedd_internal_bindings.wsdl
===================================================================
--- fedd/wsdl/fedd_internal_bindings.wsdl	(revision f4cc4b72d349fe622e4fd843f4aed21a4d9c6314)
+++ 	(revision )
@@ -1,112 +1,0 @@
-<?xml version="1.0"?>
-<definitions name="fedd"
-  targetNamespace="http://www.isi.edu/faber/fedd_internal_bindings"
-  xmlns:tns="http://www.isi.edu/faber/fedd_internal_messages"
-  xmlns:bns="http://www.isi.edu/faber/fedd_internal_bindings"
-  xmlns:xsd1="http://www.isi.edu/faber/fedd_types"
-  xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
-  xmlns="http://schemas.xmlsoap.org/wsdl/">
-
-  <binding name="feddInternalBinding" type="tns:feddInternalPortType">
-      <documentation>
-	These are really very straight ahead SOAP RPC bindings.  They're 1.1
-	SOAP and not much outside the defaults.  No interesting header packing
-	or fault configuration yet.
-      </documentation>
-    <soap:binding style="rpc" 
-      transport="http://schemas.xmlsoap.org/soap/http"/>
-      <operation name="AllocateProject">
-	<documentation>
-	  The bindings of this operation are straightforward SOAP RPC 1.1.
-	</documentation>
-	<soap:operation soapAction="AllocateProject"/> 
-	<input>
-	  <soap:body use="encoded" parts="tns:AllocateProjectRequestBody"
-	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</input>
-	<output>
-	  <soap:body use="encoded" parts="tns:AllocateProjectResponseBody"
-	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</output>
-	<fault>
-	  <soap:fault use="encoded"  name="tns:AllocateProjectFault"
-	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</fault>
-      </operation>
-      <operation name="StaticProject">
-	<documentation>
-	  The bindings of this operation are straightforward SOAP RPC 1.1.
-	</documentation>
-	<soap:operation soapAction="StaticProject"/> 
-	<input>
-	  <soap:body use="encoded" parts="tns:StaticProjectRequestBody"
-	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</input>
-	<output>
-	  <soap:body use="encoded" parts="tns:StaticProjectResponseBody"
-	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</output>
-	<fault>
-	  <soap:fault use="encoded"  name="tns:StaticProjectFault"
-	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</fault>
-      </operation>
-      <operation name="ReleaseProject">
-	<documentation>
-	  The bindings of this operation are straightforward SOAP RPC 1.1.
-	</documentation>
-	<soap:operation soapAction="ReleaseProject"/> 
-	<input>
-	  <soap:body use="encoded" parts="tns:ReleaseProjectRequestBody"
-	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</input>
-	<output>
-	  <soap:body use="encoded" parts="tns:ReleaseProjectResponseBody"
-	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</output>
-	<fault>
-	  <soap:fault use="encoded"  name="tns:ReleaseProjectFault"
-	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</fault>
-      </operation>
-      <operation name="Ns2Split">
-	<documentation>
-	  The bindings of this operation are straightforward SOAP RPC 1.1.
-	</documentation>
-	<soap:operation soapAction="Ns2Split"/> 
-	<input>
-	  <soap:body use="encoded" parts="tns:Ns2SplitRequestBody"
-	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</input>
-	<output>
-	  <soap:body use="encoded" parts="tns:Ns2SplitResponseBody"
-	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</output>
-	<fault>
-	  <soap:fault use="encoded"  name="tns:Ns2SplitFault"
-	    namespace="http://www.isi.edu/faber/fedd_internal.wsdl"
-	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
-	</fault>
-      </operation>
-    </binding>
-
-    <service name="feddInternalService">
-      <documentation>
-	Fedd resource access service
-      </documentation>
-      <port name="fedd_internal_port" binding="bns:feddInternalBinding">
-	<soap:address location="http://www.isi.edu/faber/fedd_internal"/>
-      </port>
-    </service>
-</definitions>
Index: fedd/wsdl/fedd_internal_messages.wsdl
===================================================================
--- fedd/wsdl/fedd_internal_messages.wsdl	(revision f4cc4b72d349fe622e4fd843f4aed21a4d9c6314)
+++ 	(revision )
@@ -1,94 +1,0 @@
-<?xml version="1.0"?>
-<definitions name="fedd"
-  targetNamespace="http://www.isi.edu/faber/fedd_internal_messages"
-  xmlns:tns="http://www.isi.edu/faber/fedd_internal_messages"
-  xmlns:xsd1="http://www.isi.edu/faber/fedd_types"
-  xmlns:xsd="http://www.w3.org/2000/10/XMLSchema"
-  xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
-  xmlns="http://schemas.xmlsoap.org/wsdl/">
-
-  <!--
-  The message definitions are all simple embeddings of one of the types
-  from fedd_types.xsd 
-  -->
-
-  <message name="FaultMessage">
-    <part name="FaultBody" type="xsd1:faultType"/>
-  </message>
-
-  <message name="AllocateProjectRequestMessage">
-    <part name="AllocateProjectRequestBody" type="xsd1:projectAllocType"/>
-  </message>
-
-  <message name="AllocateProjectResponseMessage">
-    <part name="AllocateProjectResponseBody" type="xsd1:projectAllocType"/>
-  </message>
-
-  <message name="StaticProjectRequestMessage">
-    <part name="StaticProjectRequestBody" type="xsd1:projectAllocType"/>
-  </message>
-
-  <message name="StaticProjectResponseMessage">
-    <part name="StaticProjectResponseBody" type="xsd1:projectAllocType"/>
-  </message>
-
-  <message name="ReleaseProjectRequestMessage">
-    <part name="ReleaseProjectRequestBody" type="xsd1:projectAllocType"/>
-  </message>
-
-  <message name="ReleaseProjectResponseMessage">
-    <part name="ReleaseProjectResponseBody" type="xsd1:projectAllocType"/>
-  </message>
-
-  <message name="Ns2SplitRequestMessage">
-    <part name="Ns2SplitRequestBody" type="xsd1:ns2SplitRequestType"/>
-  </message>
-
-  <message name="Ns2SplitResponseMessage">
-    <part name="Ns2SplitResponseBody" type="xsd1:ns2SplitResponseType"/>
-  </message>
-
-  <portType name="feddInternalPortType">
-    <operation name="AllocateProject">
-      <documentation>
-	This internal interface allows the part of a fedd running on a machine
-	other than the boss node of the emulab in question to request creation
-	of a dynamic project on the boss node.
-      </documentation>
-      <input message="tns:AllocateProjectRequestMessage"/>
-      <output message="tns:AllocateProjectResponseMessage"/>
-      <fault name="InternalFault" message="tns:FaultMessage"/>
-    </operation>
-    <operation name="StaticProject">
-      <documentation>
-	This internal interface allows the part of a fedd running on a machine
-	other than the boss node of the emulab in question to request
-	modification of a static project.  For example keys can be added or
-	node access granted.
-      </documentation>
-      <input message="tns:StaticProjectRequestMessage"/>
-      <output message="tns:StaticProjectResponseMessage"/>
-      <fault name="InternalFault" message="tns:FaultMessage"/>
-    </operation>
-    <operation name="ReleaseProject">
-      <documentation>
-	This internal interface allows the part of a fedd running on a machine
-	other than the boss node of the emulab in question to release resources
-	allocated to either a static or dynamic project.
-      </documentation>
-      <input message="tns:ReleaseProjectRequestMessage"/>
-      <output message="tns:ReleaseProjectResponseMessage"/>
-      <fault name="InternalFault" message="tns:FaultMessage"/>
-    </operation>
-    <operation name="Ns2Split">
-      <documentation>
-	This allows a fedd that does not have direct access to the modified ns
-	parser that splits a CEDL description into federation data to access
-	that functionality remotely.
-      </documentation>
-      <input message="tns:Ns2SplitRequestMessage"/>
-      <output message="tns:Ns2SplitResponseMessage"/>
-      <fault name="InternalFault" message="tns:FaultMessage"/>
-    </operation>
-  </portType>
-</definitions>
Index: fedd/wsdl/fedd_messages.wsdl
===================================================================
--- fedd/wsdl/fedd_messages.wsdl	(revision f4cc4b72d349fe622e4fd843f4aed21a4d9c6314)
+++ 	(revision )
@@ -1,146 +1,0 @@
-<?xml version="1.0"?>
-<definitions name="fedd"
-  targetNamespace="http://www.isi.edu/faber/fedd_messages"
-  xmlns:tns="http://www.isi.edu/faber/fedd_messages"
-  xmlns:xsd1="http://www.isi.edu/faber/fedd_types"
-  xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
-  xmlns="http://schemas.xmlsoap.org/wsdl/">
-
-  <!--
-  The message definitions are all simple embeddings of one of the types
-  from fedd_types.xsd 
-  -->
-  <message name="RequestAccessRequestMessage">
-    <part name="RequestAccessRequestBody" type="xsd1:requestType"/>
-  </message>
-
-  <message name="RequestAccessResponseMessage">
-    <part name="RequestAccessResponseBody" type="xsd1:responseType"/>
-  </message>
-
-  <message name="ReleaseAccessRequestMessage">
-    <part name="ReleaseAccessRequestBody" type="xsd1:releaseRequestType"/>
-  </message>
-
-  <message name="ReleaseAccessResponseMessage">
-    <part name="ReleaseAccessResponseBody" type="xsd1:releaseResponseType"/>
-  </message>
-  <message name="CreateRequestMessage">
-    <part name="CreateRequestBody" type="xsd1:createRequestType"/>
-  </message>
-
-  <message name="CreateResponseMessage">
-    <part name="CreateResponseBody" type="xsd1:createResponseType"/>
-  </message>
-
-  <message name="VtopoRequestMessage">
-    <part name="VtopoRequestBody" type="xsd1:vtopoRequestType"/>
-  </message>
-
-  <message name="VtopoResponseMessage">
-    <part name="VtopoResponseBody" type="xsd1:vtopoResponseType"/>
-  </message>
-
-  <message name="VisRequestMessage">
-    <part name="VisRequestBody" type="xsd1:visRequestType"/>
-  </message>
-
-  <message name="VisResponseMessage">
-    <part name="VisResponseBody" type="xsd1:visResponseType"/>
-  </message>
-
-  <message name="InfoRequestMessage">
-    <part name="InfoRequestBody" type="xsd1:infoRequestType"/>
-  </message>
-
-  <message name="InfoResponseMessage">
-    <part name="InfoResponseBody" type="xsd1:infoResponseType"/>
-  </message>
-
-
-  <message name="TerminateRequestMessage">
-    <part name="TerminateRequestBody" type="xsd1:terminateRequestType"/>
-  </message>
-
-  <message name="TerminateResponseMessage">
-    <part name="TerminateResponseBody" type="xsd1:terminateResponseType"/>
-  </message>
-
-  <message name="FaultMessage">
-    <part name="FaultBody" type="xsd1:faultType"/>
-  </message>
-
-  <portType name="feddPortType">
-    <operation name="RequestAccess">
-      <documentation>
-	Request access to a testbed.  The request includes the various
-	resources needed (loosely), the identity of the requester, access
-	credentials andscheduling information.  A successful response includes
-	enough information for the federation system to access the testbed and
-	actually request resources.
-      </documentation>
-      <input message="tns:RequestAccessRequestMessage"/>
-      <output message="tns:RequestAccessResponseMessage"/>
-      <fault name="FeddFault" message="tns:FaultMessage"/>
-    </operation>
-    <operation name="ReleaseAccess">
-      <documentation>
-	Release an allocation of access to a testbed. This informs the testbed
-	that it is no longer necessary to allow the access mthods negotiated by
-	a RequestAccess cal.
-      </documentation>
-      <input message="tns:ReleaseAccessRequestMessage"/>
-      <output message="tns:ReleaseAccessResponseMessage"/>
-      <fault name="FeddFault" message="tns:FaultMessage"/>
-    </operation>
-    <operation name="Create">
-      <documentation>
-	A request to create a federated experiment from the included
-	description.  Credentials and access information is also provided.  On
-	success a logical description of the experiment is returned as well as
-	the information about federated testbeds needed to access local
-	services.
-      </documentation>
-      <input message="tns:CreateRequestMessage"/>
-      <output message="tns:CreateResponseMessage"/>
-      <fault name="FeddFault" message="tns:FaultMessage"/>
-    </operation>
-    <operation name="Vtopo">
-      <documentation>
-	A request for the virtual topology of the experiment.  Requesters with
-	different access rights may receive different information.
-      </documentation>
-      <input message="tns:VtopoRequestMessage"/>
-      <output message="tns:VtopoResponseMessage"/>
-      <fault name="FeddFault" message="tns:FaultMessage"/>
-    </operation>
-    <operation name="Vis">
-      <documentation>
-	A request for the visualization of the experiment.  This is really a
-	legacy interface for visual tools that cannot generate their own
-	visualization.  Requesters with different access rights may receive
-	different information.
-      </documentation>
-      <input message="tns:VisRequestMessage"/>
-      <output message="tns:VisResponseMessage"/>
-      <fault name="FeddFault" message="tns:FaultMessage"/>
-    </operation>
-    <operation name="Info">
-      <documentation>
-	A one-stop request for meta-data on the experiment.  Includes all the
-	info from a Vtopo and a Vis request.
-      </documentation>
-      <input message="tns:InfoRequestMessage"/>
-      <output message="tns:InfoResponseMessage"/>
-      <fault name="FeddFault" message="tns:FaultMessage"/>
-    </operation>
-    <operation name="Terminate">
-      <documentation>
-	Stop this experiment and deallocate its resources.
-      </documentation>
-      <input message="tns:TerminateRequestMessage"/>
-      <output message="tns:TerminateResponseMessage"/>
-      <fault name="FeddFault" message="tns:FaultMessage"/>
-    </operation>
-  </portType>
-</definitions>
